// Code generated by mockery v2.23.1. DO NOT EDIT.

package extractor

import mock "github.com/stretchr/testify/mock"

// MockExtractor is an autogenerated mock type for the Extractor type
type MockExtractor struct {
	mock.Mock
}

// ExtractMRIIDs provides a mock function with given fields: startingPoint, matcher
func (_m *MockExtractor) ExtractMRIIDs(startingPoint string, matcher string) ([]int, error) {
	ret := _m.Called(startingPoint, matcher)

	var r0 []int
	var r1 error
	if rf, ok := ret.Get(0).(func(string, string) ([]int, error)); ok {
		return rf(startingPoint, matcher)
	}
	if rf, ok := ret.Get(0).(func(string, string) []int); ok {
		r0 = rf(startingPoint, matcher)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]int)
		}
	}

	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(startingPoint, matcher)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetStartingPoint provides a mock function with given fields: startingPoint, matcher
func (_m *MockExtractor) GetStartingPoint(startingPoint string, matcher string) (string, error) {
	ret := _m.Called(startingPoint, matcher)

	var r0 string
	var r1 error
	if rf, ok := ret.Get(0).(func(string, string) (string, error)); ok {
		return rf(startingPoint, matcher)
	}
	if rf, ok := ret.Get(0).(func(string, string) string); ok {
		r0 = rf(startingPoint, matcher)
	} else {
		r0 = ret.Get(0).(string)
	}

	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(startingPoint, matcher)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewMockExtractor interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockExtractor creates a new instance of MockExtractor. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockExtractor(t mockConstructorTestingTNewMockExtractor) *MockExtractor {
	mock := &MockExtractor{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
